<?php // этот модуль необходимо делать тольео для крупных проектов, для небольшых описание пунктов меню и файлов меню лучше делать в init.php
$__functions['init'][]      ='_print_order_admin_vars' ;
$__functions['boot_admin'][] ='_print_order_admin_boot' ;
//$__functions['alert'][]   ='_print_order_admin_alert' ;
$__functions['install'][]	='_print_order_install_modul' ;

function _print_order_admin_vars() //
{
    $_SESSION['descr_clss'][292]['name']='Типы печатаемых нарядов' ;
    $_SESSION['descr_clss'][292]['parent']=0 ;
    $_SESSION['descr_clss'][292]['fields']['type']=array('type'=>'int(11)','index'=>'type') ; //тип наряда
    $_SESSION['descr_clss'][292]['fields']['ext_info']=array('type'=>'serialize') ; // настройки типа наряда
}

function _print_order_admin_boot($options)
{
  create_system_modul_obj('print_order',$options) ;
}


function _print_order_install_modul($DOT_root)
{
    check_exists_dir('/storage/print_order') ;

    $pattern=array() ;
    $pattern['table_title']		        = 	'Типы печатаемых нарядов' ;
    $pattern['use_clss']		        = 	292 ;
    $pattern['table_name']				= 	'print_order_types' ;
    $pattern['table_clss']				= 	101 ;
    $pattern['table_parent']			    = 	$DOT_root;
    create_table_by_pattern($pattern) ;
}




?>